Hi,

I'm running ubuntu 10.10, trying to get xvba working for my radeon mobility HD4570. I've got mobility catalyst 10.12 installed, as well as libva from the repo's, and xvba-video_0.7.7-1_amd64.deb from splitted-desktop. I've downloaded and compiled mplayer, but when I try to run it, I get no video, just audio. inspecting vainfo gives me the following error:
Code:
libva: libva version 0.31.0
Xlib:  extension "XFree86-DRI" missing on display ":0.0".
libva: va_getDriverName() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit
and fglrxinfo gives:
Code:
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Mobility Radeon HD 4500 Series
OpenGL version string: 3.3.10362 Compatibility Profile Context
Anyone have a clue what's going on here? I can't upgrade libva, as that breaks dependencies, and I have no idea what else to do... mplayer gives the same error as vainfo btw, the rest of the output was standard.